> For the complete documentation index, see [llms.txt](https://docs.canto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.canto.io/canto-node/validators/node-snapshots.md).

# Snapshots

## Creating Snapshot

### Create folder for snapshots

```bash
mkdir -p $HOME/snapshots/canto
```

### Clone github repo

```bash
git clone https://github.com/SiddarthVijay/cosmos-snapshots.git
cd cosmos-snapshots
git checkout patch/v1-canto
```

### Create new snapshot

```bash
./canto_snapshot.sh
```

### Automation

You can add script to the cron

```sh
# start every day at 00:00
0 0 * * * /bin/bash -c '/root/canto_snapshot.sh'
```

***

## Consuming Snapshot

Snapshots also available on [Polkachu](https://polkachu.com/tendermint_snapshots/canto)

### Use Snapshot

Backup $HOME/.canto/priv\_validator\_state.json (cannot be recovered after following steps)

```bash
sudo systemctl stop cantod
cantod unsafe-reset-all
cd $HOME/.cantod
wget -O <snapshot_file>.tar <host_url>
tar -xvf <snapshot_file>.tar 
```

### Restart Node

```bash
sudo systemctl start cantod
# Watch logs
journalctl -u cantod -f
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.canto.io/canto-node/validators/node-snapshots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
